@echo off
cls
title SUPERAntiSpyware
echo.
echo  1. Start (Press ENTER)
echo  2. Update Definitions and Run
echo  3. Integrate Definitions Updates in SuperAntiSpyware.7z (only on USB)
echo.
set /p upd=Choose an option : 
if "%upd%"=="2" goto u
if "%upd%"=="3" goto u
goto s
:u
echo Downloading...
download.exe http://updates.superantispyware.com/appdata/sas/public/PROCESSLIST.ZIP /output:PROCESSLIST.ZIP /display:progress /overwrite
download.exe http://updates.superantispyware.com/appdata/sas/public/PROCESSLISTRELATED.ZIP /output:PROCESSLISTRELATED.ZIP /display:progress /overwrite
if not exist PROCESSLIST*.ZIP echo error downloading&goto s
7z.exe x -y PROCESSLIST*.ZIP
del /f /q PROCESSLIST*.ZIP 2>nul
if "%upd%"=="3" 7z.exe a SuperAntiSpyware.7z -x!7z.* -x!download.exe -x!SuperAntiSpyware.7z&move /y SuperAntiSpyware.7z "%*Files"
:s
if "%COMPUTERNAME:~0,6%"=="MiniXP" del /f saskutil.sys
start "" SEAutorun.com